/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package testmeetup;

/**
 * Query Object that retrieves Member Information. For more information about the parameters, please read: https://www.meetup.com/meetup_api/docs/2/member/#get
 * This class is incomplete, in the sense that some parameters cannot be set in the URL. The only parameter created is the one we need.
 * @author Oriol
 */
public class QueryMember extends QueryObject{
    
    private String memberID;

    public QueryMember(String nResults, Ordering order, String offset, String memberID) {
        super(nResults, order, offset);
        this.memberID = memberID;
    }
    
    @Override
    public void generateQuery() throws Exception{
        //https://api.meetup.com/2/member/6805274?&sign=true&photo-host=public&page=20
        super.setURL("https://api.meetup.com/2/member/" + this.memberID + "?");
        addParam("page",super.getnResults());
        addParam("offset",super.getOffset());
        super.generateQuery();
     }
    
    public QueryMember(){
        
    }

    public String getMemberID() {
        return memberID;
    }

    public void setMemberID(String memberID) {
        this.memberID = memberID;
    }
 
    
}
